# Uses of Enum Class
org.bukkit.block.data.type.Door.Hinge

Packages that use Door.Hinge
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Door.Hinge in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Door.Hinge
Modifier and Type
Method
Description
`@NotNull Door.Hinge`
Door.`getHinge()`
Gets the value of the 'hinge' property.
`static Door.Hinge`
Door.Hinge.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Door.Hinge[]`
Door.Hinge.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Door.Hinge
Modifier and Type
Method
Description
`void`
Door.`setHinge(@NotNull Door.Hinge hinge)`
Sets the value of the 'hinge' property.